com.independentsoft.exchange

## Class TimeChange

- java.lang.Object
- - com.independentsoft.exchange.TimeChange

-     public class TimeChange
      extends java.lang.Object

  Represents the date and time when the time changes from daylight saving time to standard time.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimeChange()` Initializes a new instance of the TimeChange class.
    `TimeChange(Duration offset)` Initializes a new instance of the TimeChange class.
    `TimeChange(int offsetHours)` Initializes a new instance of the TimeChange class.
    `TimeChange(int offsetHours, int offsetMinutes)` Initializes a new instance of the TimeChange class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Duration` | `getOffset()` Gets the offset from the BaseOffset.
    `TimeChangePattern` | `getPattern()` Gets a relative yearly recurrence pattern for a time zone transition date pattern.
    `Time` | `getTime()` Gets the time when the time changes between standard time and daylight saving time.
    `java.lang.String` | `getTimeZone()` Gets a text description of a time zone.
    `void` | `setOffset(Duration offset)` Sets the offset from the BaseOffset.
    `void` | `setPattern(TimeChangePattern pattern)` Sets a relative yearly recurrence pattern for a time zone transition date pattern.
    `void` | `setTime(Time time)` Sets the time when the time changes between standard time and daylight saving time.
    `void` | `setTimeZone(java.lang.String timeZone)` Sets a text description of a time zone.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TimeChange

          public TimeChange()

      Initializes a new instance of the TimeChange class.

    - #### TimeChange

          public TimeChange(Duration offset)

      Initializes a new instance of the TimeChange class.
      Parameters:
        `offset` - the offset

    - #### TimeChange

          public TimeChange(int offsetHours)

      Initializes a new instance of the TimeChange class.
      Parameters:
        `offsetHours` - the offset hours

    - #### TimeChange

          public TimeChange(int offsetHours,
                            int offsetMinutes)

      Initializes a new instance of the TimeChange class.
      Parameters:
        `offsetHours` - the offset hours
        `offsetMinutes` - the offset minutes

  - ### Method Detail

    - #### getTimeZone

          public java.lang.String getTimeZone()

      Gets a text description of a time zone.
      Returns:
        the time zone

    - #### setTimeZone

          public void setTimeZone(java.lang.String timeZone)

      Sets a text description of a time zone.
      Parameters:
        `timeZone` - the new time zone

    - #### getOffset

          public Duration getOffset()

      Gets the offset from the BaseOffset. The base offset in addition to this offset identifies the time according to whether it is standard or daylight saving time.
      Returns:
        the offset

    - #### setOffset

          public void setOffset(Duration offset)

      Sets the offset from the BaseOffset. The base offset in addition to this offset identifies the time according to whether it is standard or daylight saving time.
      Parameters:
        `offset` - the new offset

    - #### getTime

          public Time getTime()

      Gets the time when the time changes between standard time and daylight saving time.
      Returns:
        the time

    - #### setTime

          public void setTime(Time time)

      Sets the time when the time changes between standard time and daylight saving time.
      Parameters:
        `time` - the new time

    - #### getPattern

          public TimeChangePattern getPattern()

      Gets a relative yearly recurrence pattern for a time zone transition date pattern.
      Returns:
        the pattern

    - #### setPattern

          public void setPattern(TimeChangePattern pattern)

      Sets a relative yearly recurrence pattern for a time zone transition date pattern.
      Parameters:
        `pattern` - the new pattern